Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 3445)
@@ -63,11 +63,11 @@
 		int idx = version.lastIndexOf("."); //$NON-NLS-1$
 		if (idx > 0) version = version.substring(0, idx); // remove the "qualifier" part
 		
-		if ("fr".equals(locale)) {
+		if ("fr".equals(locale)) { //$NON-NLS-1$
 			return OpenBrowser.openfile(WELCOME + version + "/welcome") != null; //$NON-NLS-1$ $NON-NLS-2$
 		}
 		else {
-			return OpenBrowser.openfile(OpenLocalizedWebPage.getValidURL(WELCOME + version + "/" + locale + "/welcome", (WELCOME + version + "/welcome"))) != null; //$NON-NLS-1$ $NON-NLS-2$ $NON-NLS-3$
+			return OpenBrowser.openfile(OpenLocalizedWebPage.getValidURL(WELCOME + version + "/" + locale + "/welcome", (WELCOME + version + "/welcome"))) != null; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ $NON-NLS-2$ $NON-NLS-3$
 		}
 	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 3445)
@@ -63,11 +63,11 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
 		if (!JobHandler.areAllTXMJobsDone()) {
-			Log.warning("Wait for all jobs to end and retry");
+			Log.warning(TXMUIMessages.WaitForAllJobsToEndAndRetry);
 			return null;
 		}
 		
-		JobHandler jobhandler = new JobHandler("Restarting...") {
+		JobHandler jobhandler = new JobHandler(TXMUIMessages.RestartingTXM) {
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
@@ -79,7 +79,7 @@
 						Log.info(TXMUIMessages.info_txmIsReady);
 					}
 					else {
-						Log.warning("TXM not restarted normally.");
+						Log.warning(TXMUIMessages.TXMWasNotRestartedNormally);
 					}
 					
 					monitor.worked(95);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/CloseCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/CloseCorpus.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/CloseCorpus.java	(revision 3445)
@@ -67,7 +67,7 @@
 				});
 			}
 		}
-		JobHandler job = new JobHandler("Closing corpus "+corpora) {
+		JobHandler job = new JobHandler(TXMUIMessages.ClosingTheP0Corpus+corpora) {
 
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/DownloadCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/DownloadCorpus.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/DownloadCorpus.java	(revision 3445)
@@ -10,6 +10,7 @@
 import org.eclipse.core.commands.ExecutionException;
 import org.txm.Toolbox;
 import org.txm.objects.Project;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.utils.Download;
 
@@ -32,9 +33,9 @@
 
 	public static Project downloadAndLoad(String urlString) throws InterruptedException, ExecutionException, IOException {
 		URL url = new URL(urlString);
-		File binFile = new File(Toolbox.getTxmHomePath(), "results/"+new File(url.getFile()).getName());
-		if (!binFile.getName().endsWith(".txm")) {
-			System.out.println("The downloaded file is not a TXM corpus.");
+		File binFile = new File(Toolbox.getTxmHomePath(), "results/"+new File(url.getFile()).getName()); //$NON-NLS-1$
+		if (!binFile.getName().endsWith(".txm")) { //$NON-NLS-1$
+			System.out.println(TXMUIMessages.TheDownloadedFileIsNotATXMCorpus);
 			return null;
 		}
 		Download.download(url, binFile);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3445)
@@ -51,7 +51,7 @@
 	
 	public static boolean canLoad(File zipFile) {
 		String basedirname = Zip.getRoot(zipFile);
-		return Zip.hasEntries(zipFile, basedirname + "/.settings/", basedirname + "/.project", basedirname + "/data/", basedirname + "/txm/", basedirname + "/HTML/", basedirname + "/registry/");
+		return Zip.hasEntries(zipFile, basedirname + "/.settings/", basedirname + "/.project", basedirname + "/data/", basedirname + "/txm/", basedirname + "/HTML/", basedirname + "/registry/"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
 	}
 	
 	/**
@@ -74,7 +74,7 @@
 			return null;
 		}
 		
-		Log.info(NLS.bind(TXMUIMessages.theP0BinaryCorpusVersionIsP1, zipFile.getName(), "0.8.0"));
+		Log.info(NLS.bind(TXMUIMessages.theP0BinaryCorpusVersionIsP1, zipFile.getName(), "0.8.0")); //$NON-NLS-1$
 		
 		String basedirname = Zip.getRoot(zipFile);
 		
@@ -115,7 +115,7 @@
 		
 		
 		// test with CQP MainCorpus name
-		File dataDirectory = new File(corpusDirectory, "data");
+		File dataDirectory = new File(corpusDirectory, "data"); //$NON-NLS-1$
 		File[] mainCorpusDirs = dataDirectory.listFiles();
 		if (mainCorpusDirs != null && mainCorpusDirs.length > 0) {
 			String mainCorpusName = mainCorpusDirs[0].getName();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 3445)
@@ -42,7 +42,7 @@
 		final File outdir = new File(corpora, indir.getName() + 6);
 		DeleteDir.deleteDirectory(outdir);
 
-		jobhandler = new JobHandler("Converting...") {
+		jobhandler = new JobHandler(TXMUIMessages.ConvertingEtc) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/OpenCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/OpenCorpus.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/OpenCorpus.java	(revision 3445)
@@ -16,6 +16,7 @@
 import org.txm.objects.Project;
 import org.txm.rcp.commands.CloseEditorsUsing;
 import org.txm.rcp.commands.RestartTXM;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -49,7 +50,7 @@
 			d = Display.getDefault();
 		}
 		
-		JobHandler job = new JobHandler("Opening corpus "+iproject.getName()) {
+		JobHandler job = new JobHandler(TXMUIMessages.OpeningTheP0Corpus+iproject.getName()) {
 
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/UpdateCorpus.java	(revision 3445)
@@ -20,6 +20,7 @@
 import org.txm.rcp.commands.CloseEditorsUsing;
 import org.txm.rcp.commands.OpenImportForm;
 import org.txm.rcp.commands.RestartTXM;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.UpdateCorpusDialog;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -44,7 +45,7 @@
 		
 		UpdateCorpusDialog dialog = new UpdateCorpusDialog(HandlerUtil.getActiveShell(event));
 		dialog.setDoUpdateEdition(TBXPreferences.getInstance().getBoolean(TBXPreferences.UPDATEEDITIONS));
-		dialog.setDoForceUpdate("true".equals(event.getParameter("org.txm.rcp.commands.workspace.UpdateCorpus.force")));
+		dialog.setDoForceUpdate("true".equals(event.getParameter("org.txm.rcp.commands.workspace.UpdateCorpus.force"))); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		if (dialog.open() != Window.OK) {
 			return null;
@@ -99,15 +100,15 @@
 			});
 		}
 		
-		File txmDir = new File(project.getProjectDirectory(), "txm");
+		File txmDir = new File(project.getProjectDirectory(), "txm"); //$NON-NLS-1$
 		if (!txmDir.exists()) {
-			Log.warning(NLS.bind("Error: Can't update the corpus: no 'txm' directory found: {0}", txmDir.getAbsolutePath()));
+			Log.warning(NLS.bind(TXMUIMessages.ErrorCantUpdateTheCorpusNoTXMDirectoryFoundP0, txmDir.getAbsolutePath()));
 			return null;
 		}
 		
 		File txmCorpusDirectory = new File(txmDir, corpus.getID());
 		if (!txmCorpusDirectory.exists()) {
-			Log.warning(NLS.bind("Error: Can't update the corpus: no 'txm/{0}' directory found: {1}", corpus.getID(), txmCorpusDirectory.getAbsolutePath()));
+			Log.warning(NLS.bind(TXMUIMessages.ErrorCantUpdateTheCorpusNoTXTSlashP0DirectoryFoundP1, corpus.getID(), txmCorpusDirectory.getAbsolutePath()));
 			return null;
 		}
 		
@@ -115,10 +116,10 @@
 			
 			@Override
 			public boolean accept(File arg0) {
-				return arg0.isFile() && arg0.getName().endsWith(".xml");
+				return arg0.isFile() && arg0.getName().endsWith(".xml"); //$NON-NLS-1$
 			}
 		}).length == 0) {
-			Log.warning(NLS.bind("Error: Can't update the corpus: no XML files found in {0}", txmCorpusDirectory.getAbsolutePath()));
+			Log.warning(NLS.bind(TXMUIMessages.ErrorCantUpdateTheCorpusNoXMLFilesFoundInP0, txmCorpusDirectory.getAbsolutePath()));
 			return null;
 		}
 		
@@ -127,11 +128,11 @@
 		project.setDoMultiThread(false); // too soon
 		project.setDoUpdate(true, updateEdition);
 		String currentModule = project.getImportModuleName();
-		if (!(currentModule.equals("xtz") || currentModule.equals("transcriber"))) {
-			project.setImportModuleName("xtz");
+		if (!(currentModule.equals("xtz") || currentModule.equals("transcriber"))) { //$NON-NLS-1$ //$NON-NLS-2$
+			project.setImportModuleName("xtz"); //$NON-NLS-1$
 		}
 		
-		JobHandler job = new JobHandler("Updating corpus " + corpus + " using " + project) {
+		JobHandler job = new JobHandler(TXMUIMessages.UpdateTheP0CorpusUsingP1 + corpus + " using " + project) { //$NON-NLS-2$
 			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3445)
@@ -88,7 +88,7 @@
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
 		DirectoryDialog dialog = new DirectoryDialog(shell, SWT.OPEN);
 		if (LastOpened.getFile(ID) != null) {
-			dialog.setFilterPath(LastOpened.getFolder(ID) + "/" + LastOpened.getFile(ID));
+			dialog.setFilterPath(LastOpened.getFolder(ID) + "/" + LastOpened.getFile(ID)); //$NON-NLS-1$
 		}
 
 		if (dialog.open() != null) {
@@ -238,7 +238,7 @@
 			@Override
 			public Image getImage(Object element) {
 				File f = (File) element;
-				if (f.getName().endsWith(".txm")) {
+				if (f.getName().endsWith(".txm")) { //$NON-NLS-1$
 					return IImageKeys.getImage(IImageKeys.TXM1616);
 				}
 				else if (f.isDirectory()) {
@@ -291,8 +291,8 @@
 				@Override
 				public boolean accept(File arg0) {
 					return IOUtils.HIDDENFILE_FILTER.accept(arg0) &&
-							((arg0.isDirectory() && (new File(arg0, "import.xml").exists() || new File(arg0, ".settings").exists()))
-									|| arg0.getName().endsWith(".txm")
+							((arg0.isDirectory() && (new File(arg0, "import.xml").exists() || new File(arg0, ".settings").exists())) //$NON-NLS-1$ //$NON-NLS-2$
+									|| arg0.getName().endsWith(".txm") //$NON-NLS-1$
 
 									);
 				}
@@ -393,7 +393,7 @@
 					}
 				}
 				catch (Exception e2) {
-					Log.warning("Could not load corpus from " + corpusDirectory + ": " + e2);
+					Log.warning(TXMUIMessages.CouldNotLoadThecorpusFromtheP0DirectoryP1 + corpusDirectory + ": " + e2); //$NON-NLS-2$
 					Log.printStackTrace(e2);
 				}
 			}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load079BinaryCorpus.java	(revision 3445)
@@ -49,7 +49,7 @@
 	
 	public static boolean canLoad(File zipFile) {
 		String basedirname = Zip.getRoot(zipFile);
-		return Zip.hasEntries(zipFile, basedirname + "/import.xml", basedirname + "/data/", basedirname + "/txm/", basedirname + "/HTML/", basedirname + "/registry/");
+		return Zip.hasEntries(zipFile, basedirname + "/import.xml", basedirname + "/data/", basedirname + "/txm/", basedirname + "/HTML/", basedirname + "/registry/"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 	}
 	
 	/**
@@ -74,7 +74,7 @@
 			return null;
 		}
 		
-		System.out.println(NLS.bind(TXMUIMessages.theP0BinaryCorpusVersionIsP1, zipFile.getName(), "0.7.9"));
+		System.out.println(NLS.bind(TXMUIMessages.theP0BinaryCorpusVersionIsP1, zipFile.getName(), "0.7.9")); //$NON-NLS-1$
 		
 		String basedirname = Zip.getRoot(zipFile);
 		
@@ -148,7 +148,7 @@
 		}
 		
 		MainCorpus c = new MainCorpus(project);
-		BaseOldParameters params = new BaseOldParameters(new File(binCorpusDirectory, "import.xml"));
+		BaseOldParameters params = new BaseOldParameters(new File(binCorpusDirectory, "import.xml")); //$NON-NLS-1$
 		params.load();
 		c._load(params.getCorpusElement());
 		c.setDirty();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3445)
@@ -228,7 +228,7 @@
 							Log.info(NLS.bind(TXMUIMessages.P0CorpusLoaded, newProject2));
 						}
 						else {
-							System.out.println("Error: no project loaded.");
+							System.out.println(TXMUIMessages.ErrorNoProjectLoaded);
 						}
 					}
 				});
@@ -272,11 +272,11 @@
 				project = Load079BinaryCorpus.loadBinaryCorpusArchive(zipFile, monitor, replace);
 			}
 			else {
-				Log.warning(NLS.bind("The {0} archive is not a TXM corpus.", zipFile));
+				Log.warning(NLS.bind(TXMUIMessages.TheP0ArchiveIsNotATXMCorpus, zipFile));
 				return null;
 			}
 			if (project == null) {
-				Log.warning(NLS.bind("Failed to load the {0} corpus.", zipFile));
+				Log.warning(NLS.bind(TXMUIMessages.FailedToLoadTheP0Corpus, zipFile));
 				return null;
 			}
 		}
@@ -335,7 +335,7 @@
 		}
 		
 		// test with CQP MainCorpus name
-		File dataDirectory = new File(corpusDirectory, "data");
+		File dataDirectory = new File(corpusDirectory, "data"); //$NON-NLS-1$
 		File[] mainCorpusDirs = dataDirectory.listFiles();
 		if (mainCorpusDirs != null && mainCorpusDirs.length > 0) {
 			String mainCorpusName = mainCorpusDirs[0].getName();
@@ -354,11 +354,11 @@
 		}
 		
 		Project project = null;
-		File paramFile = new File(destDir, ".settings");
-		File importXMLFile = new File(destDir, "import.xml");
-		File dotProjectFile = new File(destDir, ".project");
+		File paramFile = new File(destDir, ".settings"); //$NON-NLS-1$
+		File importXMLFile = new File(destDir, "import.xml"); //$NON-NLS-1$
+		File dotProjectFile = new File(destDir, ".project"); //$NON-NLS-1$
 		if (paramFile.exists() && paramFile.isDirectory() && dotProjectFile.exists() && dotProjectFile.isFile()) {
-			Log.info(NLS.bind(TXMUIMessages.theP0BinaryCorpusVersionIsP1, destDir, "0.8.0"));
+			Log.info(NLS.bind(TXMUIMessages.theP0BinaryCorpusVersionIsP1, destDir, "0.8.0")); //$NON-NLS-1$
 			project = Load080BinaryCorpus.loadBinaryCorpusAsDirectory(destDir);
 		}
 		else if (importXMLFile.exists()) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExportXMLTXMFiles.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExportXMLTXMFiles.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ExportXMLTXMFiles.java	(revision 3445)
@@ -12,6 +12,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
 import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.ConsoleProgressBar;
 import org.txm.utils.logger.Log;
 import org.txm.utils.zip.Zip;
@@ -28,25 +29,25 @@
 			Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
 			
 			FileDialog d = new FileDialog(shell, SWT.SAVE);
-			d.setFilterExtensions(new String[] {"*.zip"});
+			d.setFilterExtensions(new String[] {"*.zip"}); //$NON-NLS-1$
 			
 			String path = d.open();
 			if (path != null) {
 				File targetZipFile = new File(path);
-				File txmDir = new File(p.getProjectDirectory(), "txm/"+p.getName());
+				File txmDir = new File(p.getProjectDirectory(), "txm/"+p.getName()); //$NON-NLS-1$
 				try {
 					File[] files = txmDir.listFiles();
 					if (files == null) {
-						Log.warning("Warning: no 'txm' directory: "+txmDir);
+						Log.warning(TXMUIMessages.WarningNoTXMDirectoryP0+txmDir);
 						return false;
 					}
 					int s = files.length;
 					if (s == 0) {
-						Log.warning("Warning: no XML-TXM files in directory: "+txmDir);
+						Log.warning(TXMUIMessages.WarningNoXMLTXMFilesDirectoryP0+txmDir);
 						return false;
 					}
 					Zip.compress(txmDir, targetZipFile, new ConsoleProgressBar(s));
-					Log.info("XML-TXM files exported in: "+targetZipFile);
+					Log.info(TXMUIMessages.XMLTXMFilesExportedInP0+targetZipFile);
 				}
 				catch (IOException e) {
 					Log.printStackTrace(e);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenImportForm.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenImportForm.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenImportForm.java	(revision 3445)
@@ -56,11 +56,11 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
 		File script = null;
-		if (event.getParameters().containsKey("org.txm.rcp.commands.importscript")) {
+		if (event.getParameters().containsKey("org.txm.rcp.commands.importscript")) { //$NON-NLS-1$
 			String filename = event.getParameter("org.txm.rcp.commands.importscript"); //$NON-NLS-1$
 			script = new File (filename);
 		}
-		Boolean updateMode = "true".equals(event.getParameter("org.txm.rcp.commands.importupdatemode")); //$NON-NLS-1$
+		Boolean updateMode = "true".equals(event.getParameter("org.txm.rcp.commands.importupdatemode")); //$NON-NLS-1$ //$NON-NLS-2$
 		open(script, updateMode);
 		return null;
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenLocalizedWebPage.java	(revision 3445)
@@ -55,17 +55,17 @@
 	/** The Constant ID. */
 	public final static String ID = "org.txm.rcp.commands.OpenLocalizedWebPage"; //$NON-NLS-1$
 	
-	public static final String GITPAGES = "https://txm.gitpages.huma-num.fr/";
+	public static final String GITPAGES = "https://txm.gitpages.huma-num.fr/"; //$NON-NLS-1$
 	
-	public static final String URL_TEXTOMETRIE = GITPAGES + "textometrie/";
+	public static final String URL_TEXTOMETRIE = GITPAGES + "textometrie/"; //$NON-NLS-1$
 	
-	public static final String URL_TXMMANUAL = GITPAGES + "txm-manual/";
+	public static final String URL_TXMMANUAL = GITPAGES + "txm-manual/"; //$NON-NLS-1$
 	
-	public static final String URL_TXMDEPOT = GITPAGES + "txm-software/";
+	public static final String URL_TXMDEPOT = GITPAGES + "txm-software/"; //$NON-NLS-1$
 	
-	public static final String HTMLPAGES = URL_TEXTOMETRIE + "html/";
+	public static final String HTMLPAGES = URL_TEXTOMETRIE + "html/"; //$NON-NLS-1$
 	
-	public static final String FILESPAGES = URL_TEXTOMETRIE + "files/";
+	public static final String FILESPAGES = URL_TEXTOMETRIE + "files/"; //$NON-NLS-1$
 	
 	public static final String TEXTOMETRIE = "textometrie"; //$NON-NLS-1$
 	
@@ -123,7 +123,7 @@
 	static public String getValidURL(String urltoTest, String alternativeUrl) {
 		try {
 			URL url = new URL(urltoTest);
-			if (url.getProtocol().equals("https")) {
+			if (url.getProtocol().equals("https")) { //$NON-NLS-1$
 				
 				// ts.setCertificateEntry(UUID.randomUUID(), cert);
 				HttpsURLConnection connection = (HttpsURLConnection) url.openConnection();
@@ -150,7 +150,7 @@
 					
 					// Install the all-trusting trust manager for this connection ONLY
 					try {
-						SSLContext sc = SSLContext.getInstance("SSL");
+						SSLContext sc = SSLContext.getInstance("SSL"); //$NON-NLS-1$
 						sc.init(null, trustAllCerts, new java.security.SecureRandom());
 						connection.setSSLSocketFactory(sc.getSocketFactory());
 					}
@@ -160,7 +160,7 @@
 				}
 				
 				if (connection.getResponseCode() != HttpsURLConnection.HTTP_OK) {
-					Log.fine(NLS.bind("HTTP Error while testing the \"{0}\" web page: {1}", urltoTest, connection.getResponseCode()));
+					Log.fine(NLS.bind("HTTP Error while testing the \"{0}\" web page: {1}", urltoTest, connection.getResponseCode())); //$NON-NLS-1$
 					connection.disconnect();
 					return alternativeUrl;
 				}
@@ -172,7 +172,7 @@
 			
 		}
 		catch (Exception e) {
-			Log.fine(NLS.bind("Error while testing the \"{0}\" web page: {1}", urltoTest, e.getMessage()));
+			Log.fine(NLS.bind("Error while testing the \"{0}\" web page: {1}", urltoTest, e.getMessage())); //$NON-NLS-1$
 			return alternativeUrl;
 		}
 		return urltoTest;
@@ -208,10 +208,10 @@
 		}
 		else if (SF_DOCS.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(URL_TEXTOMETRIE + "Documentation/#txm-manual");
+				return OpenBrowser.openfile(URL_TEXTOMETRIE + "Documentation/#txm-manual"); //$NON-NLS-1$
 			}
 			else {
-				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE + locale + "Documentation/#txm-manual", URL_TEXTOMETRIE + "en/Documentation/#txm-manual")); //$NON-NLS-1$
+				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE + locale + "Documentation/#txm-manual", URL_TEXTOMETRIE + "en/Documentation/#txm-manual")); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 		else if (SF.equals(key)) {
@@ -224,15 +224,15 @@
 		}
 		else if (TEXTOMETRIE_DOCS.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(URL_TEXTOMETRIE + "Documentation");
+				return OpenBrowser.openfile(URL_TEXTOMETRIE + "Documentation"); //$NON-NLS-1$
 			}
 			else {
-				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE + locale + "/Documentation", URL_TEXTOMETRIE + "en/Documentation")); //$NON-NLS-1$
+				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE + locale + "/Documentation", URL_TEXTOMETRIE + "en/Documentation")); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 		else if (TREETAGGER.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(URL_TEXTOMETRIE + "InstallTreeTagger");
+				return OpenBrowser.openfile(URL_TEXTOMETRIE + "InstallTreeTagger"); //$NON-NLS-1$
 			}
 			else {
 				return OpenBrowser.openfile(getValidURL(URL_TEXTOMETRIE + locale + "/InstallTreeTagger/", URL_TEXTOMETRIE + "en/InstallTreeTagger")); //$NON-NLS-1$ //$NON-NLS-2$
@@ -248,10 +248,10 @@
 		}
 		else if (CORPORA.equals(key)) {
 			if ("fr".equals(locale)) { //$NON-NLS-1$
-				return OpenBrowser.openfile(FILESPAGES + "corpora");
+				return OpenBrowser.openfile(FILESPAGES + "corpora"); //$NON-NLS-1$
 			}
 			else {
-				return OpenBrowser.openfile(getValidURL(FILESPAGES + "corpora/" + locale, FILESPAGES + "corpora/en")); //$NON-NLS-1$
+				return OpenBrowser.openfile(getValidURL(FILESPAGES + "corpora/" + locale, FILESPAGES + "corpora/en")); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 		else if (PDFREFMAN.equals(key)) {
@@ -288,7 +288,7 @@
 	}
 	
 	public static void main(String args[]) {
-		String s = getValidURL("https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.2beta/", "https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.2beta");
+		String s = getValidURL("https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.2beta/", "https://txm.gitpages.huma-num.fr/textometrie/files/software/TXM/0.8.2beta"); //$NON-NLS-1$ //$NON-NLS-2$
 		System.out.println(s);
 	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ShowSelected.java	(revision 3445)
@@ -57,9 +57,9 @@
 			if (elem instanceof File) {
 				File f = (File)elem;
 				System.out.println(TXMUIMessages.fileColon);
-				System.out.println(" path="+f.getAbsolutePath());
-				System.out.println(" size="+f.length()/1000+" kb");
-				System.out.println(" rights: read="+f.canRead()+" write="+f.canWrite()+" execute="+f.canExecute());
+				System.out.println(" path="+f.getAbsolutePath()); //$NON-NLS-1$
+				System.out.println(" size="+f.length()/1000+" kb"); //$NON-NLS-1$ //$NON-NLS-2$
+				System.out.println(" rights: read="+f.canRead()+" write="+f.canWrite()+" execute="+f.canExecute()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			} else {
 				System.out.println(elem);
 			}
@@ -68,7 +68,7 @@
 	}
 	
 	public static void print(IStructuredSelection structSelection) {
-		if (structSelection == null) System.out.println("no selection.");
+		if (structSelection == null) System.out.println("no selection."); //$NON-NLS-1$
 		
 		for (Object elem : structSelection.toList()) {
 			print(elem);
@@ -79,9 +79,9 @@
 		if (elem instanceof File) {
 			File f = (File)elem;
 			System.out.println(TXMUIMessages.fileColon);
-			System.out.println(" path="+f.getAbsolutePath());
-			System.out.println(" size="+f.length()/1000+" kb");
-			System.out.println(" rights: read="+f.canRead()+" write="+f.canWrite()+" execute="+f.canExecute());
+			System.out.println(" path="+f.getAbsolutePath()); //$NON-NLS-1$
+			System.out.println(" size="+f.length()/1000+" kb"); //$NON-NLS-1$ //$NON-NLS-2$
+			System.out.println(" rights: read="+f.canRead()+" write="+f.canWrite()+" execute="+f.canExecute()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		} else {
 			System.out.println(elem);
 		}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ChangeTXMWorkspace.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ChangeTXMWorkspace.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/ChangeTXMWorkspace.java	(revision 3445)
@@ -72,7 +72,7 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		JobHandler jobhandler = new JobHandler("Changing working directory...") { 
+		JobHandler jobhandler = new JobHandler(TXMUIMessages.ChangingTheWorkingDirectory) { 
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				try {
@@ -105,7 +105,7 @@
 		ChooseWorkspaceData launchData = new ChooseWorkspaceData(defaultValue);
 		DirectoryDialog dialog = new DirectoryDialog(Display.getCurrent().getActiveShell());
 		dialog.setText(TXMUIMessages.selectWorkingDirectory);
-		dialog.setMessage("This will restart TXM.");
+		dialog.setMessage(TXMUIMessages.ThisWillRestartTXM);
 		dialog.setFilterPath(defaultValue);
 		String path = dialog.open();
 		if (path == null || defaultValue.equals(path)) {
@@ -117,13 +117,13 @@
 		
 		// Switch workspace :
 		try {
-			URL url = new URL("file", "", path);
+			URL url = new URL("file", "", path); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			launchData.writePersistedData();
 			ChooseWorkspaceData.setShowDialogValue(false);
 			PlatformUI.getWorkbench().restart(); // need to restart TXM to apply changes
 		} catch (MalformedURLException e1) {
-			Log.warning("Workspace path could not be found.");
+			Log.warning(TXMUIMessages.WorkspacePathCouldNotBeFound);
 			return false;
 		}
 		
